var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React, { useContext } from 'react';
import { Context } from '../context';
function IconQuoteComponent(props, ref) {
    var prefixFromContext = useContext(Context).prefix;
    var _a = props.className, className = _a === void 0 ? '' : _a, prefixFromProps = props.prefix, _b = props.width, width = _b === void 0 ? '1em' : _b, _c = props.height, height = _c === void 0 ? '1em' : _c, _d = props.useCurrentColor, useCurrentColor = _d === void 0 ? true : _d, spin = props.spin, rest = __rest(props, ["className", "prefix", "width", "height", "useCurrentColor", "spin"]);
    var prefix = prefixFromProps || prefixFromContext || 'hiagent';
    var loadingKls = spin ? " ".concat(prefix, "-icon-loading") : '';
    return React.createElement("svg", __assign({ className: "".concat(prefix, "-icon ").concat(prefix, "-icon-quote").concat(loadingKls, " ").concat(className), width: width, height: height, xmlns: "http://www.w3.org/2000/svg", fill: useCurrentColor ? 'currentColor' : '#000', viewBox: "0 0 18 18" }, rest, { ref: ref }),
        React.createElement("path", { fillRule: "evenodd", d: "m15.8 10.28.482.483a.71.71 0 0 1 0 1.01L11.556 16.5h-1.493v-1.493l3.715-3.719 1.01-1.007a.716.716 0 0 1 1.012 0Z", clipRule: "evenodd", opacity: ".5" }),
        React.createElement("path", { fillRule: "evenodd", d: "M15.75 10.235V6.151a.6.6 0 0 0-.18-.43l-4.145-4.05a.6.6 0 0 0-.42-.171H2.85a.6.6 0 0 0-.6.6v13.8a.6.6 0 0 0 .6.6h12.3a.6.6 0 0 0 .6-.6v-3.594L11.556 16.5h-1.493v-1.493l3.715-3.719 1.01-1.007a.716.716 0 0 1 .962-.046ZM10.875 7.67h-3.75a.375.375 0 0 0-.375.375v.75c0 .207.168.375.375.375h3.75a.375.375 0 0 0 .375-.375v-.75a.375.375 0 0 0-.375-.375Zm0 3.75h-3.75a.375.375 0 0 0-.375.375v.75c0 .207.168.375.375.375h3.75a.375.375 0 0 0 .375-.375v-.75a.375.375 0 0 0-.375-.375Z", clipRule: "evenodd" }));
}
var IconQuote = React.forwardRef(IconQuoteComponent);
export default IconQuote;
